%global srcname anyvc

Name:           python-%{srcname}
Version:        0.3.7.1
Release:        15%{?dist}
Summary:        Python library to access different version control system

License:        GPLv2+
URL:            http://pypi.python.org/pypi/anyvc
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-apipkg
BuildRequires:  python2-pytest
BuildRequires:  python2-dulwich
BuildRequires:  mercurial
BuildRequires:  python2-subvertpy
BuildRequires:  python2-execnet
#BuildRequires:  python2-sphinx
BuildRequires:  python2-hgdistver

%global _description\
Anyvc is an abstraction library for different kind of version control\
systems. Although primarily a library, there is a command line tool (vc)\
to use with it.

%description %_description

%package -n python2-%{srcname}
Summary: %summary
Requires:       python2-subvertpy
Requires:       mercurial
Requires:       python2-dulwich
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py2_build
#sphinx-build docs/. html
## Remove sphinx stuff because rpmlint is complaining
#rm html/.buildinfo
#rm -rf html/.doctrees

%install
%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{srcname}
#%doc html/
%{_bindir}/vc
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}*.egg-info

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.7.1-12
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7.1-11
- Python 2 binary package renamed to python2-anyvc
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7.1-2
- Remove egg-info
- python-hgdistver is available now

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7.1-1
- BR updated for tests
- Updated to new upstream version 0.3.7.1

* Fri Jun 08 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.7-1
- No docs for the moment because the template is unknown
- Updated to new upstream version 0.3.7

* Wed Nov 08 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.5-1
- Added test that is working
- Added new BR
- Updated to new upstream version 0.3.5

* Wed Apr 28 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Commented check section out
- Updated to new upstream version 0.3.1

* Wed Apr 28 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.1-1
- Initial package
